serpent.h File Reference

Classes for the Serpent block cipher. More...

Go to the source code of this file.

## Classes

struct | Serpent_Info
| Serpent block cipher information. More...
class | Serpent
| Serpent block cipher. More...

## Typedefs

typedef Serpent::Encryption | SerpentEncryption
typedef Serpent::Decryption | SerpentDecryption

## Detailed Description

Classes for the Serpent block cipher.

See also
  A Candidate Block Cipher for the Advanced Encryption Standard

Definition in file serpent.h.